
QGIS Application - Feature request #3799

Cannot add new OGR layer types

2011-05-04 11:10 PM - mattwigway .

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13857

Description

As of OGR 1.9, CouchDB Spatial is now supported, but QGIS does not allow you to add the layer. It would be good if either

a. [[CouchDB]] could be added to the "add vector layer" database tab; or

 a. have a place where you can specify an OGR URL directly.

b. is probably better, because then other data sources can be used before they've been officially added to QGIS.

Associated revisions

Revision f8c4b3a2 - 2015-12-12 09:00 PM - Jürgen Fischer

Merge pull request #2571 from medspx/work_newfile_extensions

Add formats extensions/protocol already supported by GDAL/OGR

(fixes #3799, fixes #4362, fixes #5242, fixes #6197)

History

#1 - 2011-05-04 11:25 PM - mattwigway .

Replying to mattwigway:

As of OGR 1.9, CouchDB Spatial is now supported, but QGIS does not allow you to add the layer. It would be good if either

a. [[CouchDB]] could be added to the "add vector layer" database tab; or

b. have a place where you can specify an OGR URL directly.

b. is probably better, because then other data sources can be used before they've been officially added to QGIS.

#2 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-12-12 12:01 PM - Jürgen Fischer

- Status changed from Open to Closed

2025-04-26 1/2

http://gdal.org/ogr/drv_couchdb.html
/issues/show/3799
http://gdal.org/ogr/drv_couchdb.html


Fixed in changeset commit:"f8c4b3a21cb13cc0871cb0fb2ec9b231742b71d5".
